POST
/
api
/
v1
/
tasks
/
artifacts
/
{artifact_id}
/
versions
Create Task Artifact Version
curl --request POST \
  --url https://api.jobsim.work/api/v1/tasks/artifacts/{artifact_id}/versions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "content_format": "markdown",
  "summary": "<string>",
  "change_notes": "<string>",
  "metadata": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

artifact_id
string
required

Body

application/json
content
string
required
Minimum string length: 1
content_format
string
default:markdown
summary
string | null
change_notes
string | null
metadata
Metadata · object

Response

Successful Response